import { http } from '@/utils/http/axios';

//图片上传
export function upload(data) {
  return http.request({
    url: '/upload',
    method: 'post',
    data,
  });
}

//初始化配置数据
export function initData(data?) {
  return http.request({
    url: '/common/initData',
    method: 'get',
    data,
  });
}

/**
 * @description: 验证码 Base64
 */
export function captchaBase64(params) {
  return http.request({
    url: '/common/captchaBase64',
    method: 'GET',
    params,
  });
}

/**
 * @description: 岗位列表 不分页
 */
export function postList(params?) {
  return http.request({
    url: '/common/queryPostList',
    method: 'GET',
    params,
  });
}

/**
 * @description: 租户列表（不分页）
 */
export function tentantList(params?) {
  return http.request({
    url: '/common/queryTentantList',
    method: 'get',
    params,
  });
}
